<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $woocommerce;

$product = new WC_Product_Factory();
$_product = $product->get_product($_GET['product_id']);

if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
    $ip = $_SERVER['HTTP_CLIENT_IP'];
} elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
    $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
} else {
    $ip = $_SERVER['REMOTE_ADDR'];
}

$referer = isset($_SERVER["HTTP_REFERER"]) ? $_SERVER["HTTP_REFERER"] : "";

if (isset($_COOKIE['__utmz'])) {
  list($domain_hash, $timestamp, $session_number, $campaign_numer, $campaign_data) = split('[\.]', $_COOKIE["__utmz"],5);
  parse_str(strtr($campaign_data, "|", "&"));
  $source = isset($utmcsr) ? $utmcsr : "";
  $medium = isset($utmcmd) ? $utmcmd : "";
  $campaign = isset($utmccn) ? $utmccn : "";
  $content = isset($utmcct) ? $utmcct : "";
} else {
  $params = $_SERVER['QUERY_STRING'];
  parse_str($_SERVER['QUERY_STRING']);
  $source = isset($utm_source) ? $utm_source : "";
  $medium = isset($utm_medium) ? $utm_medium : "";
  $campaign = isset($utm_campaign) ? $utm_campaign : "";
  $content = isset($utm_content) ? $utm_content : "";
}

if (isset($_POST['post_hidden'])) {
  //user posted variables
  $name = $_POST['quote_name'];
  $email = $_POST['quote_email'];

  //product variables
  $pname = isset($_POST['pname']) ? $_POST['pname'] : "";
  $psku = isset($_POST['psku']) ? $_POST['psku'] : "";

  //php mailer variables
  $to = get_option('admin_email');
  $subject = "Quotation Request from ". $name;
  $headers = 'From: '. $email . "\r\n" .
  'Reply-To: ' . $email . "\r\n";
  $message = 'From: '. $name . "\r\n";
  $message .= 'Email: ' . $email . "\r\n";
  $message .= 'Product Name: ' . $pname . "\r\n";
  $message .= 'SKU: ' . $psku . "\r\n\n";
  $message .= 'IP: ' . $ip . "\r\n";
  $message .= 'Referer: ' . $referer . "\r\n";
  $message .= 'Source: ' . $source . "\r\n";
  $message .= 'Medium: ' . $medium . "\r\n";
  $message .= 'Campaign: ' . $campaign . "\r\n";
  $message .= 'Content: ' . $content . "\r\n\n";
  
  $nameErr = $emailErr = "";

  if (empty($name)) {
    $nameErr = "Name is required";
  }
  if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
    $emailErr = "Email is invalid";
  }
  if (empty($nameErr) && empty($emailErr)) {
    $sent = wp_mail($to, $subject, strip_tags($message), $headers);
  }

} 

if (!empty($sent)) {
  if (get_option("boopis_rfq_thank_you")) {
    echo get_option("boopis_rfq_thank_you");
  } else {
    echo "<h3>Thanks for the quote request!</h3><h3>We'll get back to you ASAP!</h3>";
  }
} else {
?>

  <form action="" method="post" enctype='multipart/form-data'>
    <?php if (isset($_GET['product_id'])) { ?>
    <?php if (get_option("boopis_rfq_pname_active") == "on") { ?>
    <p class="form-row form-row-first">
      <label for="pname"><?php echo __('Product Name', 'boopis-rfq'); ?><abbr class="required" title="required">*</abbr></label>
      <?php echo "<input type=\"text\" name=\"pname\" readonly=\"readonly\" value=\"" . $_product->get_title() . "\">"; ?>
    </p>
    <?php } ?>
    <?php if (get_option("boopis_rfq_psku_active") == "on") { ?>
    <p class="form-row form-row-last">
      <label for="psku"><?php echo __('Product SKU', 'boopis-rfq'); ?></label>
      <?php echo "<input type=\"text\" name=\"psku\" readonly=\"readonly\" value=\"" . $_product->get_sku() . "\">"; ?>
    </p>
    <?php } ?>
    <?php } ?>
    <p class="form-row form-row-first">
      <label for="quote_name"><?php echo __('Name', 'boopis-rfq'); ?><abbr class="required" title="required">* <?php echo empty($nameErr) ? '' : $nameErr; ?></abbr></label>
      <input type="text" name="quote_name" value="<?php echo isset($name) ? esc_attr($_POST['quote_name']) : ''; ?>">
    </p>
    <p class="form-row form-row-last">
      <label for="quote_email"><?php echo __('Email', 'boopis-rfq'); ?><abbr class="required" title="required">* <?php echo empty($emailErr) ? '' : $emailErr; ?></abbr></label>
      <input type="email" name="quote_email" value="<?php echo isset($email) ? esc_attr($_POST['quote_email']) : ''; ?>">
    </p>
    <div class="form-row form-row-wide">
      <input type="submit" class="button alt" value="<?php echo __('Send for quote', 'boopis-rfq'); ?>" />
      <input type="hidden" name="post_hidden"  value="Y" />
    </div>
  </form>

<?php } ?>